import .connectives
import .leibniz
axiom nat.nat : Type.
constant nat.filter_nat_type : forall (return : Type) , ((nat.nat) -> return) -> (nat.nat) -> return.
constant nat.plus : (nat.nat) -> (nat.nat) -> nat.nat.
constant nat.plus_body : (nat.nat) -> (nat.nat) -> nat.nat.
axiom nat.axiom_plus : forall (n:nat.nat) , (((connectives.equal) ((nat.nat) -> nat.nat)) (((nat.plus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.plus_body) )) (n)).
theorem nat.eq_plus : forall (n:nat.nat) , (((leibniz.leibniz) ((nat.nat) -> nat.nat)) (((nat.plus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.plus_body) )) (n)) := fun (n : nat.nat) , ((((@connectives.equal_leibniz) ((nat.nat) -> nat.nat)) (((nat.plus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.plus_body) )) (n))) ((@nat.axiom_plus) (n)).
theorem nat.sym_eq_plus : forall (n:nat.nat) , (((leibniz.leibniz) ((nat.nat) -> nat.nat)) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.plus_body) )) (n))) (((nat.plus) ) (n)) := fun (n : nat.nat) , ((((@leibniz.sym_leibniz) ((nat.nat) -> nat.nat)) (((nat.plus) ) (n))) ((((nat.filter_nat_type) ((nat.nat) -> nat.nat)) ((nat.plus_body) )) (n))) ((@nat.eq_plus) (n)).
